import { Component } from 'react';
import { IDialogPositionType } from './position';
export interface IMousePosition {
    x: number;
    y: number;
}
export interface IDialogInnerElProps {
    title?: React.ReactNode;
    onClose?: (e: KeyboardEvent | MouseEvent | TouchEvent) => void;
    className?: string;
    closeBtn?: boolean;
    style?: React.CSSProperties;
    footer?: React.ReactNode;
    mousePosition?: IMousePosition | null;
    position?: IDialogPositionType;
}
export declare class DialogInnerEl extends Component<IDialogInnerElProps> {
    dialogEl: HTMLDivElement | null;
    componentDidMount(): void;
    componentDidUpdate(): void;
    setTransformOrigin(style: CSSStyleDeclaration, origin: string): void;
    resetTransformOrigin(props?: Readonly<IDialogInnerElProps> & Readonly<{
        children?: import("react").ReactNode;
    }>): void;
    renderHeader(): JSX.Element;
    onClickClose: (e: React.MouseEvent<HTMLButtonElement>) => void;
    render(): JSX.Element;
}
export interface IDialogElWrapper {
    mask?: boolean;
    maskClosable?: boolean;
    visible?: boolean;
    onClose(e: MouseEvent | TouchEvent | KeyboardEvent): void;
}
export declare class DialogElWrapper extends Component<IDialogElWrapper> {
    rootRef: import("react").RefObject<HTMLDivElement>;
    componentDidMount(): void;
    onMaskClick: (e: React.MouseEvent<HTMLDivElement>) => void;
    render(): JSX.Element;
}
